TexenTestCase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.TexenTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class TexenTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.TexenTestCase

All Implemented Interfaces:
  junit.framework.Test

public class TexenTestCase
extends BaseTestCase

This is a test case for Texen. Simply executes a simple generative task and compares the output.

Version:
  $Id: TexenTestCase.java,v 1.6.10.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Jason van Zyl

Field Summary
`private static java.lang.String` | `COMPARE_DIR` Directory where comparison output is stored.
`private static java.lang.String` | `RESULTS_DIR` Directory where results are generated.

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TexenTestCase()` Creates a new instance.

Method Summary
`void` | `runTest()` Runs the test.
`protected void` | `setUp()` Sets up the test.
`static junit.framework.Test` | `suite()`

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESULTS_DIR

    private static final java.lang.String RESULTS_DIR

  Directory where results are generated.

  See Also:
    Constant Field Values

### COMPARE_DIR

    private static final java.lang.String COMPARE_DIR

  Directory where comparison output is stored.

  See Also:
    Constant Field Values

Constructor Detail

### TexenTestCase

    public TexenTestCase()

  Creates a new instance.

Method Detail

### suite

    public static junit.framework.Test suite()

### setUp

    protected void setUp()

  Sets up the test.

### runTest

    public void runTest()

  Runs the test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.